package main

import (
	"fmt"
	"io/ioutil"
	"log"
	"net/http"
	"os"
	"strings"
)

func main() {
	if len(os.Args[1:]) < 1 {
		log.Fatal("requires args")
	}
	for _, i := range os.Args[1:] {
		if !strings.HasPrefix(i, "http://") {
			i = "http://" + i
		}
		resp, err := http.Get(i)
		if err != nil {
			log.Print(err)
			continue
		}
		defer resp.Body.Close()
		body, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			log.Print(err)
		}
		fmt.Printf("%s", body)
	}
}
